<?php

namespace YooMoney\Helpers\OauthHelpers;

\defined('JPATH_PLATFORM') or die;
/**
 * Интерфейс класса-адаптера для работы с параметрами платежного метода
 */
interface OauthDataStorageHelperInterface
{
    /**
     * Получение account
     *
     * @return string|null
     */
    public function getShopId();

    /**
     * Установка значения account
     *
     * @param int $shopId
     * @return bool
     */
    public function saveShopId($shopId);

    /**
     * Получение state
     *
     * @return string|null
     */
    public function getState();

    /**
     * Установка значения state
     *
     * @param string $state
     * @return bool
     */
    public function saveState($state);

    /**
     * Получение access_token
     *
     * @return string|null
     */
    public function getToken();

    /**
     * Установка значения access_token и expires_in
     *
     * @param string $token
     * @param string $expiresIn
     * @return bool
     */
    public function saveToken($token, $expiresIn);
}